/*
 * Copyright (C) 2000, 2001  Internet Software Consortium.
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM
 * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
 * INTERNET SOFTWARE CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/* $Id: file.c,v 1.5.4.1 2001/01/09 22:51:47 bwelling Exp $ */

#include <string.h>

#undef TEMPLATE
#define TEMPLATE "tXXXXXXX.tmp"

isc_result_t
isc_file_mktemplate(const char *file, char *buf, size_t buflen) {
	char *s;

	s = ;
	if ((s = strrchr(file, '\\')) != NULL) {
		if ((s - file + 1 + sizeof(TEMPLATE)) > buflen)
			return (ISC_R_NOSPACE);

		strncpy(buf, file, s - file + 1);
		buf[s - file + 1] = '\0';
		strcat(buf, TEMPLATE);

	} else if ((s = strrchr(file, ':')) != NULL) {
		if ((s - file + 2 + sizeof(TEMPLATE)) > buflen)
			return (ISC_R_NOSPACE);

		strncpy(buf, file, s - file + 1);
		buf[s - file + 1] = '\\';
		buf[s - file + 2] = '\0';
		strcat(buf, TEMPLATE);

	} else {
		if (sizeof(TEMPLATE) > buflen)
			return (ISC_R_NOSPACE);

		strcpy(buf, TEMPLATE);
	}

	return(ISC_R_SUCCESS);
}
